Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621496 - Crash in rhts-test-runner.sh causes task hung-ups leading to External Watchdog
Crash in rhts-test-runner.sh causes task hung-ups leading to External Watchdog
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
0.5
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Marian Csontos
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 05:55 EDT by Marian Csontos
Modified: 2011-09-28 11:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 01:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2010-08-05 05:55:03 EDT
Description of problem:
Following task got stuck: https://beaker.engineering.redhat.com/recipes/19237#task237349

/var/log/messages saying:

> Aug  5 03:13:01 dell-pesc430-01 logrotate: ALERT exited abnormally with [1]

And following segfaults were found on stderr:

> /usr/bin/rhts-test-runner.sh: line 187: 11210 Segmentation fault      ps -p "$pid"
     11211                       | grep -q "$pid"
> /usr/bin/rhts_environment.sh: line 64: 11216 Segmentation fault      rhts-report-result $1 $2 $OUTPUTFILE $3
> /usr/bin/rhts-test-runner.sh: line 4: 11217 Segmentation fault      logger -s "$0 report_finish start..."
> /usr/bin/rhts-test-runner.sh: line 4: 11218 Segmentation fault      rhts-submit-log -l /tmp/TESTOUT.log
> /usr/bin/rhts-test-runner.sh: line 4: 11219 Segmentation fault      cat $OUTPUTFILE
> /usr/bin/rhts-test-runner.sh: line 4: 11221 Segmentation fault      rhts-sync-set -s DONE
> /usr/bin/rhts-test-runner.sh: line 4: 11222 Segmentation fault      rhts-sync-block -s DONE $SERVERS $CLIENTS $DRIVER
> /usr/bin/rhts-test-runner.sh: line 4: 11223 Segmentation fault      rhts-test-update $RESULT_SERVER $TESTID finish
> /usr/bin/rhts-test-runner.sh: line 4: 11225 Segmentation fault      rhts-restore
> /usr/bin/rhts-test-runner.sh: line 4: 11226 Segmentation fault      logger -s "$0 report_finish stop..."

Seeing them in so many places it might be a faulty memory, but harness should handle that, instead of hanging what seems without reason.
Comment 1 Marian Csontos 2010-08-25 03:13:12 EDT
Note: The segfault problem is related to F12-i386 distro only, it does not happen on other distros. Shall look at that too.
Comment 2 Marian Csontos 2010-08-31 08:03:00 EDT
Fix tested in a VM. Brewing RPMs to test on stage.

Note You need to log in before you can comment on or make changes to this bug.